Create a DTS root CA certificate
Roles
Analytics Events
/v1/ecosystems/certificates/caCreates a DTS root CA certificate which is used to sign DTS intermediate and/or signer certificates.
- A maximum of three DTS root CA certificates can be created per tenant.
Analytic events
- ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_START
- ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_SUCCESS
- ECOSYSTEM_DTS_CA_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/ecosystems/certificates/ca" \ -H "Content-Type: application/json" \ -d '{ "organisationName": "string" }'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "active": true, "certificatePem": "string", "certificateFingerprint": "string", "certificateData": { "commonName": "string", "country": "string", "organisationName": "string", "notAfter": "2019-08-24T14:15:22Z", "notBefore": "2019-08-24T14:15:22Z" }, "isManaged": true, "useIntermediateCa": true}How would you rate this page?
Verify a verifiable presentation POST
Verifies a provided verifiable presentation that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations): - Ensures the presentation conforms to the VC Data model. - For each `verifiableCredential` objects: - Issuer DID can be resolved. - JSON-LD context is valid for subject claims. - Proof is valid & the credential has not been tampered with. - Is not in a `revoked` status on a `RevocationList2020`. - The proof is valid for each subjectDID to prove ownership. - Valid proof exists for the presentation `holderDID`. The request must include a `presentation` object that adheres to the [W3C Verifiable Credential Data Model](https://www.w3.org/TR/vc-data-model/#presentations). If a `challenge` and/or `domain` is provided they are used for credential verification. Otherwise, the `challenge` and/or `domain` within the presentation proof is used instead. ### **Analytic events** * PRESENTATION_WEB_SEMANTIC_VERIFY_START * PRESENTATION_WEB_SEMANTIC_VERIFY_SUCCESS * PRESENTATION_WEB_SEMANTIC_VERIFY_FAIL
Retrieve all DTS root CA certificates GET
Retrieves all DTS root CA certificates. ### **Analytic events** * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_START * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_SUCCESS * ECOSYSTEM_DTS_CA_CERTIFICATE_RETRIEVE_LIST_FAIL